Bug 1628858 - Wrong bounds computation in set_vect
Summary: Wrong bounds computation in set_vect
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: psblas3
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-14 08:16 UTC by Alexandre Silva Lopes
Modified: 2018-10-02 14:06 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-26 20:20:41 UTC


Attachments (Terms of Use)
Patch to fix the bug (3.79 KB, application/mbox)
2018-09-14 08:16 UTC, Alexandre Silva Lopes
no flags Details

Description Alexandre Silva Lopes 2018-09-14 08:16:45 UTC
Created attachment 1483236 [details]
Patch to fix the bug

Description of problem: set_vect computes bounds wrongly. In particular, if the length of the vector to be copied is less than the lower limit ("first"), nothing is copied.


Version-Release number of selected component (if applicable): 3.5.1-1.fc28


Can you, please, add the attached patch to the psblas3 package?

The problem it fixes was already reported upstream and fixed on development branch - https://github.com/sfilippone/psblas3/issues/9

Thanks.

Comment 1 Antonio Trande 2018-09-14 08:19:47 UTC
The patch will be included soon.
Thank you.

Comment 2 Fedora Update System 2018-09-14 19:54:21 UTC
psblas3-3.5.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6bcc2c6d4a

Comment 3 Fedora Update System 2018-09-14 19:54:27 UTC
psblas3-3.5.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d44571fe18

Comment 4 Fedora Update System 2018-09-14 19:54:32 UTC
psblas3-3.5.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39b4ebf8b5

Comment 5 Fedora Update System 2018-09-14 22:41:32 UTC
psblas3-3.5.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d44571fe18

Comment 6 Fedora Update System 2018-09-14 23:49:40 UTC
psblas3-3.5.2-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-39b4ebf8b5

Comment 7 Fedora Update System 2018-09-16 17:57:09 UTC
mld2p4-2.1.1-1.el7 psblas3-3.5.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d44571fe18

Comment 8 Fedora Update System 2018-09-17 01:07:07 UTC
psblas3-3.5.2-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6bcc2c6d4a

Comment 9 Fedora Update System 2018-09-17 03:33:38 UTC
mld2p4-2.1.1-1.el7, psblas3-3.5.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d44571fe18

Comment 10 Alexandre Silva Lopes 2018-09-17 14:12:01 UTC
Thanks for fixing it so quickly!

However, there is a little problem that prevents me to test this: mld2p4-2.1.1-1.fc28 is linked against psblas 3.5.1, not 3.5.2:

rpm -qp --requires mld2p4-mpich-2.1.1-1.fc28.x86_64.rpm|grep ^libpsb

libpsb_base.so.3.5.1()(64bit)(mpich-x86_64)
libpsb_prec.so.3.5.1()(64bit)(mpich-x86_64)


So, to install psblas3-3.5.2-3.fc28 I would have to remove mld2p4, while my code uses both libraries...

Comment 11 Fedora Update System 2018-09-17 16:26:39 UTC
mld2p4-2.1.1-2.fc28 psblas3-3.5.2-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-39b4ebf8b5

Comment 12 Fedora Update System 2018-09-17 16:28:26 UTC
mld2p4-2.1.1-2.fc29 psblas3-3.5.2-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6bcc2c6d4a

Comment 13 Antonio Trande 2018-09-17 16:31:25 UTC
(In reply to Alexandre Silva Lopes from comment #10)
> Thanks for fixing it so quickly!
> 
> However, there is a little problem that prevents me to test this:
> mld2p4-2.1.1-1.fc28 is linked against psblas 3.5.1, not 3.5.2:
> 
> rpm -qp --requires mld2p4-mpich-2.1.1-1.fc28.x86_64.rpm|grep ^libpsb
> 
> libpsb_base.so.3.5.1()(64bit)(mpich-x86_64)
> libpsb_prec.so.3.5.1()(64bit)(mpich-x86_64)
> 
> 
> So, to install psblas3-3.5.2-3.fc28 I would have to remove mld2p4, while my
> code uses both libraries...

Sorry, my bad.
I rebuilt mld2p4-2.1.1 against fixed psblas3 release.

Comment 14 Fedora Update System 2018-09-17 19:24:15 UTC
mld2p4-2.1.1-2.fc28, psblas3-3.5.2-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-39b4ebf8b5

Comment 15 Fedora Update System 2018-09-18 06:16:24 UTC
mld2p4-2.1.1-2.fc29, psblas3-3.5.2-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6bcc2c6d4a

Comment 16 Fedora Update System 2018-09-26 20:20:41 UTC
mld2p4-2.1.1-2.fc29, psblas3-3.5.2-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-09-27 02:33:57 UTC
mld2p4-2.1.1-2.fc28, psblas3-3.5.2-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-10-02 14:06:56 UTC
mld2p4-2.1.1-1.el7, psblas3-3.5.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.